Migrate unknown application integration

Migrating an application from Net iD Enterprise to Net iD Client is necessary if the application has an integration with Net iD Enterprise. If you are not sure how the application integrates with Net iD Enterprise and what API your application uses, make sure to examine the settings below to find out how your integration is done.

Libraries

Your application loads a library. Make sure to update the library locations.

PKCS#11

Windows

Table 1. PKCS#11 libraries — Windows
Old New

C:\Program Files\Net iD\iidp11.dll

N/A, Contact SecMaker Support for more information.

C:\Program Files\Net iD\iidp11_u32.dll

C:\Program Files\Net iD\Client\netid.dll

C:\Program Files (x86)\Net iD\iidp11.dll

C:\Program Files (x86)\Net iD\Client\netid.dll

macOS

Table 2. PKCS#11 libraries — macOS
Old New

/usr/local/lib/libiidp11.dylib

/usr/local/lib/libnetid.dylib

Linux

Table 3. PKCS#11 libraries — Linux
Old New

/usr/lib/libiidp11.so

/usr/lib/libnetid.so

Plugin

Windows

Table 4. Plugin libraries — Windows
Old New

C:\Program Files\Net iD\iidplg.dll

C:\Program Files\Net iD\Client\netid.dll

C:\Program Files\Net iD\iid.dll

C:\Program Files\Net iD\Client\netid.dll

C:\Program Files (x86)\Net iD\iidplg.dll

C:\Program Files (x86)\Net iD\Client\netid.dll

C:\Program Files (x86)\Net iD\iid.dll

C:\Program Files (x86)\Net iD\Client\netid.dll

macOS

Table 5. Plugin libraries —  macOS
Old New

/usr/local/lib/libiidplg.dylib

/usr/local/lib/libnetid.dylib

/usr/local/lib/libiid.dylib

/usr/local/lib/libnetid.dylib

Linux

Table 6. Plugin libraries —  Linux
Old New

/usr/lib/libiidplg.so

/usr/lib/libnetid.so

/usr/lib/libiid.so

/usr/lib/libnetid.so

Class ID

For more information, see Migrate plugin — ActiveX.

Table 7. Class ID identifiers
Old New

{5BF56AD2-E297-416E-BC49-00B327C4426E}

{5BF56AD2-E297-416E-BC49-00B327C4428E}

MIME type

Table 8. MIME type
Old New

application/x-iid

application/x-netid